## trove-dashboard 23.0.0

=== debian/changelog ===
trove-dashboard (23.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090702).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 14:08:50 +0100

trove-dashboard (23.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 17:07:50 +0200

trove-dashboard (23.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 23:06:43 +0200

trove-dashboard (23.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 10:23:55 +0200

=== debian/control ===
Source: trove-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:23.3.0),
 python3-coverage,
 python3-ddt,
 python3-django,
 python3-hacking,
 python3-openstackdocstheme,
 python3-oslo.log,
 python3-selenium,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 python3-troveclient,
 python3-xvfbwrapper,
 subunit,
 testrepository,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/trove-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/trove-dashboard
Homepage: https://opendev.org/openstack/trove-dashboard

Package: python3-trove-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:23.3.0),
 python3-django,
 python3-oslo.log,
 python3-pbr,
 python3-swiftclient,
 python3-troveclient,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Description: Database as a Service for OpenStack - dashboard plugin
 Trove is Database as a Service for Openstack. It's designed to run entirely on
 OpenStack, with the goal of allowing users to quickly and easily utilize the
 features of a relational database without the burden of handling complex
 administrative tasks. Cloud users and database administrators can provision
 and manage multiple database instances as needed. Initially, the service will
 focus on providing resource isolation at high performance while automating
 complex administrative tasks including deployment, configuration, patching,
 backups, restores, and monitoring. Trove is designed to support a
 single-tenant database within a Nova instance. There is no restrictions on how
 Nova is configured, since Trove interacts with other OpenStack components
 purely through the API.
 .
 This package provides the Trove dashboard plugin.

## trove-dashboard 24.0.0~rc1

=== debian/changelog ===
trove-dashboard (24.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 22:03:34 +0100

trove-dashboard (24.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:37:38 +0100

## trove-dashboard 24.0.0

=== debian/changelog ===
trove-dashboard (24.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:21:01 +0200

## trove-dashboard 25.0.0~rc1

=== debian/changelog ===
trove-dashboard (25.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 10:20:16 +0000

trove-dashboard (25.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:53:22 +0200

trove-dashboard (25.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 10:35:37 +0200

## trove-dashboard 25.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=1.6
oslo.log>=3.30.0 # Apache-2.0
python-swiftclient>=2.2.0
python-troveclient>=1.2.0
horizon>=17.1.0  # Apache-2.0

=== debian/changelog ===
trove-dashboard (25.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 23:21:56 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:23.3.0),
+ openstack-dashboard,
  python3-coverage,
  python3-ddt,
  python3-django,
@@ -37,7 +37,7 @@
 Package: python3-trove-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:23.3.0),
+ openstack-dashboard,
  python3-django,
  python3-oslo.log,
  python3-pbr,
@@ -45,8 +45,6 @@
  python3-troveclient,
  ${misc:Depends},
  ${python3:Depends},
-Breaks:
- python3-django-horizon (<< 3:19.2.0-2~),
 Description: Database as a Service for OpenStack - dashboard plugin
  Trove is Database as a Service for Openstack. It's designed to run entirely on
  OpenStack, with the goal of allowing users to quickly and easily utilize the

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	python3 setup.py clean
	rm -rf build .stestr *.egg-info .coverage
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/trove_dashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; for i in $(PYTHON3S) ; do \
		DJANGO_SETTINGS_MODULE=trove_dashboard.test.settings \
			python3 -m coverage run \
			$(CURDIR)/manage.py test -v 2 trove_dashboard --settings=trove_dashboard.test.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/trove-dashboard/tags .*/(\d[\d\.]+)\.tar\.gz
